petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscLogEventBegin

Logs the beginning of a user event.

### Synopsis

    #include <petsclog.h>
    PetscErrorCode PetscLogEventBegin(int e,PetscObject o1,PetscObject o2,PetscObject o3,PetscObject o4)

Not Collective

### Input Parameters

| e | - integer associated with the event obtained from PetscLogEventRegister()
| o1,o2,o3,o4 | - objects associated with the event, or 0

### Fortran Synopsis

void PetscLogEventBegin(int e,PetscErrorCode ierr)

### Usage

         PetscLogEvent USER_EVENT;
         PetscLogDouble user_event_flops;
         PetscLogEventRegister("User event",0,&USER_EVENT);
         PetscLogEventBegin(USER_EVENT,0,0,0,0);
            [code segment to monitor]
            PetscLogFlops(user_event_flops);
         PetscLogEventEnd(USER_EVENT,0,0,0,0);

### Notes

You need to register each integer event with the command PetscLogEventRegister().

### See Also

PetscLogEventRegister(), PetscLogEventEnd(), PetscLogFlops()

### Keywords

log, event, begin

### Level

intermediate

### Location

src/sys/logging/plog.c

### Examples

src/sys/classes/random/examples/tutorials/ex1.c.html
src/sys/logging/examples/tutorials/ex1f.F90.html
src/sys/examples/tutorials/ex3.c.html
src/sys/examples/tutorials/ex3f.F.html
src/vec/vec/examples/tutorials/ex5.c.html
src/vec/vec/examples/tutorials/ex10.c.html
src/vec/vec/examples/tutorials/ex15.c.html
src/ksp/ksp/examples/tutorials/ex9.c.html
src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex62.c.html
src/snes/examples/tutorials/ex77.c.html
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages